server:
  port: 8080
  host: "0.0.0.0"
  env: "development"

# 开发环境使用SQLite
database:
  type: "mysql"
  host: "10.0.0.31"
  port: 3307
  user: "wechat"
  password: "wechat123"
  dbname: "wechat_bot"
  charset: "utf8mb4"

redis:
  host: "10.0.0.31"
  port: 6379
  password: "pGhQKwj7DE7FbFL1"
  db: 13

docker:
  host: "http://10.0.0.243:2375"
  apiVersion: "1.41"
  imageName: "lxh01/xybotv2:latest"
  network: "bridge"
  memory: 512 # 容器内存限制（MB）

auth:
  type: "logto" # 支持 password 和 logto 两种
  password:
    secretKey: "your-secret-key-change-me" # 加密密钥
    adminToken: "admin-token-change-me" # 密码
    tokenExpiry: 24 # 登录有效期（小时）
  logto:
    endpoint: "https://logto.wjg95.cn/"
    appId: "ib3tgt6nitenckuzuw1ck"
    appSecret: "9iMwD6ndtGjh9bFg3ABVHYkj5ZGXdFZM"

logger:
  level: "debug"
  file: ""  # 空表示日志输出到控制台

minio:
  endpoint: 10.0.0.5:9000
  host: 10.0.0.5:9000
  accessKey: ZsRIVPn3XZtjAeL5Mu50
  secretKey: h8uu621Z9YOvd19VWx84A2nPfIU4ND03aAo69Xlx
  bucket: wechat
  useSSL: false
